"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = exports.version = void 0;
const build_utils_1 = require("@vercel/build-utils");
exports.version = 3;
function build({ files, entrypoint }) {
    // Set the executable bit for the entrypoint. Somewhere around Now
    // v16.{2,3}.x they stopped keeping the permissions for files uploaded via
    // the CLI on deployments.
    files[entrypoint].mode |= 0o111;
    const userFiles = (0, build_utils_1.rename)(files, name => name === entrypoint ? 'bootstrap' : name);
    const lambda = new build_utils_1.Lambda({
        files: userFiles,
        handler: entrypoint,
        runtime: 'provided',
    });
    return { output: lambda };
}
exports.build = build;
;
